import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('bo-doc-contributors', 'Integration | Component | bo doc contributors', {
  integration: true
});

test('it renders', function(assert) {
  
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });" + EOL + EOL +

  this.render(hbs`{{bo-doc-contributors}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:" + EOL +
  this.render(hbs`
    {{#bo-doc-contributors}}
      template block text
    {{/bo-doc-contributors}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
